<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackConst.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackConst.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_track_const_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ConstTrack_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ConstTrack_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_obj_8h.html">eicd/TrackObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_8h.html">eicd/Track.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_track_state_8h.html">eicd/TrackState.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_hit_8h.html">eicd/TrackerHit.h</a>&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>Track;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>TrackCollection;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>TrackCollectionIterator;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_const_track.html">ConstTrack</a> {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_track.html">Track</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_track_collection.html">TrackCollection</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_track_collection_iterator.html">TrackCollectionIterator</a>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_const_track.html#a3579ea98718872dcfd2343b06e8077fc">ConstTrack</a>();</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <a class="code" href="classeic_1_1_const_track.html#a3579ea98718872dcfd2343b06e8077fc">ConstTrack</a>(<span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_track.html#a0d1a24e14e63e66172242dfbc2ecdf36">chi2</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_track.html#ab88d0e954c011b49884d1f5dddd61bd8">ndf</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_track.html#aa1db4e467929571e16c4bd09f5cc63da">dEdx</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_track.html#addfa4e78fb37e7be8ed377070ac407b5">dEdxError</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_track.html#abf411330c8a783e7a3cec9dea4c280a8">radiusOfInnermostHit</a>);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <a class="code" href="classeic_1_1_const_track.html#a3579ea98718872dcfd2343b06e8077fc">ConstTrack</a>(<a class="code" href="classeic_1_1_track_obj.html">TrackObj</a>* obj);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <a class="code" href="classeic_1_1_const_track.html#a3579ea98718872dcfd2343b06e8077fc">ConstTrack</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>&amp; other);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>&amp; <a class="code" href="classeic_1_1_const_track.html#a24b51dc29c20f2d6e9c3196b163e91ed">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>&amp; other);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a> <a class="code" href="classeic_1_1_const_track.html#a18ca8953fa8cd45eb8f5e4028d9278cc">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <a class="code" href="classeic_1_1_const_track.html#ae2b26a4f8351004a625807ded3e20b64">~ConstTrack</a>();</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track.html#a0d1a24e14e63e66172242dfbc2ecdf36">chi2</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_const_track.html#ab88d0e954c011b49884d1f5dddd61bd8">ndf</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track.html#aa1db4e467929571e16c4bd09f5cc63da">dEdx</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track.html#addfa4e78fb37e7be8ed377070ac407b5">dEdxError</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_track.html#abf411330c8a783e7a3cec9dea4c280a8">radiusOfInnermostHit</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_track.html#aaa43ec8730eefbf00d888c269a8bc177">tracks_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <a class="code" href="classeic_1_1_const_track.html">::eic::ConstTrack</a> <a class="code" href="classeic_1_1_const_track.html#a4cb5b21471b6b0c78afbfcdd73423d9c">tracks</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  std::vector&lt;::eic::ConstTrack&gt;::const_iterator <a class="code" href="classeic_1_1_const_track.html#a70732376727749c87dea6b3453af376f">tracks_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  std::vector&lt;::eic::ConstTrack&gt;::const_iterator <a class="code" href="classeic_1_1_const_track.html#a80fdcdc2d9f9dcb6cfc7a7c8907c8fa9">tracks_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  podio::RelationRange&lt;::eic::ConstTrack&gt; <a class="code" href="classeic_1_1_const_track.html#a4cb5b21471b6b0c78afbfcdd73423d9c">tracks</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_track.html#a541cdf50b32f8821917f51db2680d0d7">hits_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_hit.html">::eic::ConstTrackerHit</a> <a class="code" href="classeic_1_1_const_track.html#a51592cf2dda7b7de38c47b37a752fdbc">hits</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  std::vector&lt;::eic::ConstTrackerHit&gt;::const_iterator <a class="code" href="classeic_1_1_const_track.html#a1d579b83f05a086b4ea25802c3e9b05e">hits_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  std::vector&lt;::eic::ConstTrackerHit&gt;::const_iterator <a class="code" href="classeic_1_1_const_track.html#aa70bf78eba31d07994a8b65a5704f125">hits_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  podio::RelationRange&lt;::eic::ConstTrackerHit&gt; <a class="code" href="classeic_1_1_const_track.html#a51592cf2dda7b7de38c47b37a752fdbc">hits</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_track.html#a36c534077c53eed53c217d5421daa088">trackStates_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <a class="code" href="classeic_1_1_const_track_state.html">::eic::ConstTrackState</a> <a class="code" href="classeic_1_1_const_track.html#aaa94a6040214df7ee8f306284a72c2b9">trackStates</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  std::vector&lt;::eic::ConstTrackState&gt;::const_iterator <a class="code" href="classeic_1_1_const_track.html#a213273456dcb183ccce6300f9556a880">trackStates_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  std::vector&lt;::eic::ConstTrackState&gt;::const_iterator <a class="code" href="classeic_1_1_const_track.html#ae40041a60ede4076273db7f409a227c6">trackStates_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  podio::RelationRange&lt;::eic::ConstTrackState&gt; <a class="code" href="classeic_1_1_const_track.html#aaa94a6040214df7ee8f306284a72c2b9">trackStates</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_track.html#a0914e28deba03af0a28ae6b4ce047dba">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track.html#aae5dbec0adaa57b844076c618b5b80b8">   93</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_const_track.html#aae5dbec0adaa57b844076c618b5b80b8">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track.html#a955402624bb74807d16f6299e7f9fbc2">   95</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_track.html#a955402624bb74807d16f6299e7f9fbc2">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_track.html#a955402624bb74807d16f6299e7f9fbc2">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_track.html">Track</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track.html#aac11ad9c9d1cf053f9a8fc51766d4a81">   99</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_track.html#aac11ad9c9d1cf053f9a8fc51766d4a81">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_track.html">ConstTrack</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classeic_1_1_const_track.html#aa98ccc2786694adc6579357b58b35dfb">  101</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_track.html#aa98ccc2786694adc6579357b58b35dfb">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_track.html#ab5cd2340253ed15ed38c1e6cfcdf4f05">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_const_track.html#ab5cd2340253ed15ed38c1e6cfcdf4f05">getObjectID</a>().index; }</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_track.html#ab5cd2340253ed15ed38c1e6cfcdf4f05">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  <a class="code" href="classeic_1_1_track_obj.html">TrackObj</a>* m_obj;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;};</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_const_track_html_a955402624bb74807d16f6299e7f9fbc2"><div class="ttname"><a href="classeic_1_1_const_track.html#a955402624bb74807d16f6299e7f9fbc2">eic::ConstTrack::operator==</a></div><div class="ttdeci">bool operator==(const ConstTrack &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8h_source.html#l00095">TrackConst.h:95</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a36c534077c53eed53c217d5421daa088"><div class="ttname"><a href="classeic_1_1_const_track.html#a36c534077c53eed53c217d5421daa088">eic::ConstTrack::trackStates_size</a></div><div class="ttdeci">unsigned int trackStates_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00134">TrackConst.cc:134</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a0d1a24e14e63e66172242dfbc2ecdf36"><div class="ttname"><a href="classeic_1_1_const_track.html#a0d1a24e14e63e66172242dfbc2ecdf36">eic::ConstTrack::chi2</a></div><div class="ttdeci">const float &amp; chi2() const</div><div class="ttdoc">Access the Chi2. </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00050">TrackConst.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a541cdf50b32f8821917f51db2680d0d7"><div class="ttname"><a href="classeic_1_1_const_track.html#a541cdf50b32f8821917f51db2680d0d7">eic::ConstTrack::hits_size</a></div><div class="ttdeci">unsigned int hits_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00102">TrackConst.cc:102</a></div></div>
<div class="ttc" id="_track_obj_8h_html"><div class="ttname"><a href="_track_obj_8h.html">TrackObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_ae2b26a4f8351004a625807ded3e20b64"><div class="ttname"><a href="classeic_1_1_const_track.html#ae2b26a4f8351004a625807ded3e20b64">eic::ConstTrack::~ConstTrack</a></div><div class="ttdeci">~ConstTrack()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00047">TrackConst.cc:47</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_ae40041a60ede4076273db7f409a227c6"><div class="ttname"><a href="classeic_1_1_const_track.html#ae40041a60ede4076273db7f409a227c6">eic::ConstTrack::trackStates_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrackState &gt;::const_iterator trackStates_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00128">TrackConst.cc:128</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html"><div class="ttname"><a href="classeic_1_1_const_track.html">eic::ConstTrack</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8h_source.html#l00027">TrackConst.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_track_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_track_collection_iterator.html">eic::TrackCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_collection_8h_source.html#l00029">TrackCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_aac11ad9c9d1cf053f9a8fc51766d4a81"><div class="ttname"><a href="classeic_1_1_const_track.html#aac11ad9c9d1cf053f9a8fc51766d4a81">eic::ConstTrack::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const ConstTrack &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8h_source.html#l00099">TrackConst.h:99</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a213273456dcb183ccce6300f9556a880"><div class="ttname"><a href="classeic_1_1_const_track.html#a213273456dcb183ccce6300f9556a880">eic::ConstTrack::trackStates_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrackState &gt;::const_iterator trackStates_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00122">TrackConst.cc:122</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_aaa94a6040214df7ee8f306284a72c2b9"><div class="ttname"><a href="classeic_1_1_const_track.html#aaa94a6040214df7ee8f306284a72c2b9">eic::ConstTrack::trackStates</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstTrackState &gt; trackStates() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00145">TrackConst.cc:145</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a1d579b83f05a086b4ea25802c3e9b05e"><div class="ttname"><a href="classeic_1_1_const_track.html#a1d579b83f05a086b4ea25802c3e9b05e">eic::ConstTrack::hits_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrackerHit &gt;::const_iterator hits_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00090">TrackConst.cc:90</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_aa70bf78eba31d07994a8b65a5704f125"><div class="ttname"><a href="classeic_1_1_const_track.html#aa70bf78eba31d07994a8b65a5704f125">eic::ConstTrack::hits_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrackerHit &gt;::const_iterator hits_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00096">TrackConst.cc:96</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a0914e28deba03af0a28ae6b4ce047dba"><div class="ttname"><a href="classeic_1_1_const_track.html#a0914e28deba03af0a28ae6b4ce047dba">eic::ConstTrack::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00157">TrackConst.cc:157</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_aa1db4e467929571e16c4bd09f5cc63da"><div class="ttname"><a href="classeic_1_1_const_track.html#aa1db4e467929571e16c4bd09f5cc63da">eic::ConstTrack::dEdx</a></div><div class="ttdeci">const float &amp; dEdx() const</div><div class="ttdoc">Access the dEdx of the track. </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00052">TrackConst.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a18ca8953fa8cd45eb8f5e4028d9278cc"><div class="ttname"><a href="classeic_1_1_const_track.html#a18ca8953fa8cd45eb8f5e4028d9278cc">eic::ConstTrack::clone</a></div><div class="ttdeci">ConstTrack clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00043">TrackConst.cc:43</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_aaa43ec8730eefbf00d888c269a8bc177"><div class="ttname"><a href="classeic_1_1_const_track.html#aaa43ec8730eefbf00d888c269a8bc177">eic::ConstTrack::tracks_size</a></div><div class="ttdeci">unsigned int tracks_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00070">TrackConst.cc:70</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a70732376727749c87dea6b3453af376f"><div class="ttname"><a href="classeic_1_1_const_track.html#a70732376727749c87dea6b3453af376f">eic::ConstTrack::tracks_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrack &gt;::const_iterator tracks_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00058">TrackConst.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_track_html"><div class="ttname"><a href="classeic_1_1_track.html">eic::Track</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_8h_source.html#l00029">Track.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a4cb5b21471b6b0c78afbfcdd73423d9c"><div class="ttname"><a href="classeic_1_1_const_track.html#a4cb5b21471b6b0c78afbfcdd73423d9c">eic::ConstTrack::tracks</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstTrack &gt; tracks() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00081">TrackConst.cc:81</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_addfa4e78fb37e7be8ed377070ac407b5"><div class="ttname"><a href="classeic_1_1_const_track.html#addfa4e78fb37e7be8ed377070ac407b5">eic::ConstTrack::dEdxError</a></div><div class="ttdeci">const float &amp; dEdxError() const</div><div class="ttdoc">Access the Error of dEdx. </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00053">TrackConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8h_source.html#l00024">TrackerHitConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_ab88d0e954c011b49884d1f5dddd61bd8"><div class="ttname"><a href="classeic_1_1_const_track.html#ab88d0e954c011b49884d1f5dddd61bd8">eic::ConstTrack::ndf</a></div><div class="ttdeci">const int &amp; ndf() const</div><div class="ttdoc">Access the Number of degrees of freedom of the track fit. </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00051">TrackConst.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_ab5cd2340253ed15ed38c1e6cfcdf4f05"><div class="ttname"><a href="classeic_1_1_const_track.html#ab5cd2340253ed15ed38c1e6cfcdf4f05">eic::ConstTrack::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00164">TrackConst.cc:164</a></div></div>
<div class="ttc" id="classeic_1_1_track_collection_html"><div class="ttname"><a href="classeic_1_1_track_collection.html">eic::TrackCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_collection_8h_source.html#l00050">TrackCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_track_obj_html"><div class="ttname"><a href="classeic_1_1_track_obj.html">eic::TrackObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_obj_8h_source.html#l00022">TrackObj.h:22</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_state_html"><div class="ttname"><a href="classeic_1_1_const_track_state.html">eic::ConstTrackState</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_state_const_8h_source.html#l00024">TrackStateConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_abf411330c8a783e7a3cec9dea4c280a8"><div class="ttname"><a href="classeic_1_1_const_track.html#abf411330c8a783e7a3cec9dea4c280a8">eic::ConstTrack::radiusOfInnermostHit</a></div><div class="ttdeci">const float &amp; radiusOfInnermostHit() const</div><div class="ttdoc">Access the The radius of the innermost hit that has been used in the track fit. </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00054">TrackConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_aae5dbec0adaa57b844076c618b5b80b8"><div class="ttname"><a href="classeic_1_1_const_track.html#aae5dbec0adaa57b844076c618b5b80b8">eic::ConstTrack::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8h_source.html#l00093">TrackConst.h:93</a></div></div>
<div class="ttc" id="_track_state_8h_html"><div class="ttname"><a href="_track_state_8h.html">TrackState.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a51592cf2dda7b7de38c47b37a752fdbc"><div class="ttname"><a href="classeic_1_1_const_track.html#a51592cf2dda7b7de38c47b37a752fdbc">eic::ConstTrack::hits</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstTrackerHit &gt; hits() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00113">TrackConst.cc:113</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a80fdcdc2d9f9dcb6cfc7a7c8907c8fa9"><div class="ttname"><a href="classeic_1_1_const_track.html#a80fdcdc2d9f9dcb6cfc7a7c8907c8fa9">eic::ConstTrack::tracks_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstTrack &gt;::const_iterator tracks_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00064">TrackConst.cc:64</a></div></div>
<div class="ttc" id="_tracker_hit_8h_html"><div class="ttname"><a href="_tracker_hit_8h.html">TrackerHit.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a24b51dc29c20f2d6e9c3196b163e91ed"><div class="ttname"><a href="classeic_1_1_const_track.html#a24b51dc29c20f2d6e9c3196b163e91ed">eic::ConstTrack::operator=</a></div><div class="ttdeci">ConstTrack &amp; operator=(const ConstTrack &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00033">TrackConst.cc:33</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_aa98ccc2786694adc6579357b58b35dfb"><div class="ttname"><a href="classeic_1_1_const_track.html#aa98ccc2786694adc6579357b58b35dfb">eic::ConstTrack::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8h_source.html#l00101">TrackConst.h:101</a></div></div>
<div class="ttc" id="classeic_1_1_const_track_html_a3579ea98718872dcfd2343b06e8077fc"><div class="ttname"><a href="classeic_1_1_const_track.html#a3579ea98718872dcfd2343b06e8077fc">eic::ConstTrack::ConstTrack</a></div><div class="ttdeci">ConstTrack()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_track_const_8cc_source.html#l00016">TrackConst.cc:16</a></div></div>
<div class="ttc" id="_track_8h_html"><div class="ttname"><a href="_track_8h.html">Track.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
